Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkBase64InputStream Class Reference

`#include <vtkBase64InputStream.h>`

Inheritance diagram for vtkBase64InputStream:

[legend]
Collaboration diagram for vtkBase64InputStream:

[legend]
List of all members.

## Detailed Description

Reads base64-encoded input from a stream.

Date:
  2002/10/16 18:23:06

Revision:
  1.1

vtkBase64InputStream implements base64 decoding with the vtkInputStream interface.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (96%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkBase64InputStream.cxx)`
  - .`h` (`/IO/vtkBase64InputStream.h)`

Definition at line 41 of file vtkBase64InputStream.h.

## Public Types
typedef vtkInputStream | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | StartReading ()
int | Seek (unsigned long offset)
unsigned long | Read (unsigned char *data, unsigned long length)
void | EndReading ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkBase64InputStream * | SafeDownCast (vtkObject *o)
vtkBase64InputStream * | New ()
## Protected Methods
| vtkBase64InputStream ()
| ~vtkBase64InputStream ()
int | DecodeTriplet (unsigned char &c0, unsigned char &c1, unsigned char &c2)
## Protected Attributes
int | BufferLength
unsigned char | Buffer [2]

## Member Typedef Documentation

typedef vtkInputStream vtkBase64InputStream::Superclass

| Reimplemented from vtkInputStream. Definition at line 44 of file vtkBase64InputStream.h.

## Constructor & Destructor Documentation

vtkBase64InputStream::vtkBase64InputStream | ( |  | ) | `[protected]`

vtkBase64InputStream::~vtkBase64InputStream | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkBase64InputStream::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkInputStream.

int vtkBase64InputStream::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInputStream.

virtual int vtkBase64InputStream::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInputStream.

vtkBase64InputStream* vtkBase64InputStream::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkInputStream.

vtkBase64InputStream* vtkBase64InputStream::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkInputStream.

void vtkBase64InputStream::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkInputStream.

void vtkBase64InputStream::StartReading | ( |  | ) | `[virtual]`

| Called after the stream position has been set by the caller, but before any Seek or Read calls. The stream position should not be adjusted by the caller until after an EndReading call. Reimplemented from vtkInputStream.

int vtkBase64InputStream::Seek | ( | unsigned long | offset | ) | `[virtual]`

| Seek to the given offset in the input data. Returns 1 for success, 0 for failure. Reimplemented from vtkInputStream.

unsigned long vtkBase64InputStream::Read | ( | unsigned char * | data,
|  | unsigned long | length
| ) | `[virtual]`

| Read input data of the given length. Returns amount actually read. Reimplemented from vtkInputStream.

void vtkBase64InputStream::EndReading | ( |  | ) | `[virtual]`

| Called after all desired calls to Seek and Read have been made. After this call, the caller is free to change the position of the stream. Additional reads should not be done until after another call to StartReading. Reimplemented from vtkInputStream.

int vtkBase64InputStream::DecodeTriplet | ( | unsigned char & | c0,
|  | unsigned char & | c1,
|  | unsigned char & | c2
| ) | `[protected]`

## Member Data Documentation

int vtkBase64InputStream::BufferLength`[protected]`

| Definition at line 70 of file vtkBase64InputStream.h.

unsigned char vtkBase64InputStream::Buffer[2]`[protected]`

| Definition at line 71 of file vtkBase64InputStream.h.

The documentation for this class was generated from the following file:

- IO/vtkBase64InputStream.h